#include <amxmodx>
#include <rage>
#include <fun>
#include <fakemeta>
#include <hamsandwich>
#include <class_creator>

public plugin_precache()
{
	CreateNewClass("weapon_boomerang","weapon_deagle")	
	
	precache_generic( "sprites/weapon_boomerang.txt" );
	
	RegisterHam(Ham_Spawn,"weapon_deagle","OnSpawnDeagle")
	RegisterHam(Ham_Spawn,"weapon_boomerang","OnSpawnBoomerang")
	
	RegisterHam( Ham_Item_AddToPlayer, "weapon_boomerang", "OnAddToPlayerKnife", .Post = true );  
	
	register_clcmd("boo","give_boomerang")
	register_clcmd("say boo","give_boomerang")
}

public OnSpawnDeagle(id)
{
	new classname[32]
	pev(id,pev_classname,classname,31)
	
	client_print(0,print_chat,"Spawned a %s",classname)
}

public OnSpawnBoomerang(id)
{
	new classname[32]
	pev(id,pev_classname,classname,31)
	
	client_print(0,print_chat,"Spawned a %s",classname)
}

public give_boomerang(id)
{	
	give_item(id,"weapon_boomerang")
	return PLUGIN_HANDLED
}

public OnAddToPlayerKnife( const item, const player )  
{  
	if( pev_valid( item ) && is_user_alive( player ) ) 
	{  
		static msgIndexWeaponList; msgIndexWeaponList || ( msgIndexWeaponList = get_user_msgid( "WeaponList" ) );
	
		message_begin( MSG_ONE, msgIndexWeaponList, .player = player );  
		{  
			write_string( "weapon_boomerang" ); // WeaponName  
			write_byte( 8 );                    // PrimaryAmmoID  
			write_byte( 35 );                   // PrimaryAmmoMaxAmount  
			write_byte( -1 );                   // SecondaryAmmoID  
			write_byte( -1 );                   // SecondaryAmmoMaxAmount  
			write_byte( 1 );                    // SlotID (0...N)  
			write_byte( 1 );                   // NumberInSlot (1...N)  
			write_byte( CSW_DEAGLE );           // WeaponID  
			write_byte( 0 );                    // Flags  
		}  
		message_end();  
	}  
}     